﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Running All Elasticsearch-based Analytics Controls</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Running All Elasticsearch-based Analytics Controls</h1>
        <p>You can run all the listed analytics under <strong>Analytics History (Elastic)</strong>, based on individual categories in a single click. To run all the analytic controls per&#160;category in a single instance, perform the following:</p>
        <ol>
            <li>
                <p>Go to&#160;<strong>Analytics &gt;&#160;Analytics History</strong>.</p>
            </li>
            <li>
                <p>Select&#160;the <strong>Version 2</strong> tab.</p>
            </li>
            <li>
                <p>Click Actions and select <strong>Run All Analytics</strong>.</p>
            </li>
        </ol>
        <p>This action is a manual trigger to update all the analytic controls.&#160;The results of the run all&#160;operation will be displayed on the Analytics History  &#160;Elastic page for comparison.</p>
        <p>If you want to periodically update results for a specific category of analytic controls, you can schedule a trigger at&#160;<strong>Run all Analytics-v2 (AnalyticsESJob)&#160;</strong>from&#160;<strong>Job Control Panel</strong>, this will trigger the operation&#160;<strong>Run All Analytics&#160;</strong>periodically as scheduled for the selected category of analytic controls. For more information on scheduling the jobs, see&#160;<MadCap:xref href="Analytics-Job-Control-Panel.htm">Analytics Job Control Panel</MadCap:xref>.</p>
        <p>&#160;</p>
    </body>
</html>